<?php


namespace AutoAdmin\Bundle\Admin\Form\Type\Component;


use Symfony\Component\Form\Extension\Core\Type\DateTimeType;
use Symfony\Component\Form\FormInterface;
use Symfony\Component\Form\FormView;
use Symfony\Component\OptionsResolver\OptionsResolver;

class DateTimePickerType extends AbstractHelperType
{
    public function configureOptions(OptionsResolver $resolver)
    {
        parent::configureOptions($resolver);

        $resolver->setDefaults(
            [
                'html5' => false,
                'widget' => 'single_text',
                'format' => 'dd/MM/yyyy H:mm',
            ]
        );
    }

    public function buildView(FormView $view, FormInterface $form, array $options)
    {
        $this->addViewClass($view, 'aa-ft-picker-datetime');
    }

    public function getParent(): string
    {
        return DateTimeType::class;
    }
}
